SoVertexAttributeElement(3)

NAME
SoVertexAttributeElement - The SoVertexAttributeElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoVertexAttributeElement.h>

Inherits SoAccumulatedElement.

Inherited by SoGLVertexAttributeElement.

  Public Types
typedef const char * Key
typedef SoVertexAttributeData * Type
typedef void AttributeApplyFunc(const Key &key, const Type &obj, void *closure)

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
unsigned int getNumAttributes (void) const
void applyToAttributes (AttributeApplyFunc *func, void *closure) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void add (SoState *const state, SoVertexAttributeData *attribdata)
static const SoVertexAttributeElement * getInstance (SoState *const state)

  Protected Member Functions
virtual ~SoVertexAttributeElement ()
virtual void addElt (SoVertexAttributeData *attribdata)

  Additional Inherited Members

Detailed Description

The SoVertexAttributeElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoVertexAttributeElement::~SoVertexAttributeElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVertexAttributeElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoVertexAttributeElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoVertexAttributeElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoVertexAttributeElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoVertexAttributeElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

Reimplemented in SoGLVertexAttributeElement.

  void SoVertexAttributeElement::push (SoState * state) [virtual]
Overridden to copy vertex attributes and node ids.

Reimplemented from SoAccumulatedElement.

  void SoVertexAttributeElement::addElt (SoVertexAttributeData * attribdata) [protected], [virtual]

Reimplemented in SoGLVertexAttributeElement.

Author

Generated automatically by Doxygen for Coin from the source code.